<?php
require('um_functions.php');

# Database connection handles
$db_wiki = dbconnect_wiki();
$db_ums  = dbconnect_ums();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link href="um_main.css" rel="stylesheet" type="text/css" />
<script>
var howLong = 1000;
t = null;
function closeMe()
{
	t = setTimeout("self.close()",howLong);
}
</script>
<script type="text/javascript">
  _editor_url = "./";
  _editor_lang = "en";
</script>
<script type="text/javascript" src="htmlarea.js"></script>
<script type="text/javascript">
var editor = null;
function initEditor() {
  editor = new HTMLArea("ta");

  // comment the following two lines to see how customization works
  editor.generate();
  return false;

  var cfg = editor.config; // this is the default configuration
  cfg.registerButton({
    id        : "my-hilite",
    tooltip   : "Highlight text",
    image     : "ed_custom.gif",
    textMode  : false,
    action    : function(editor) {
                  editor.surroundHTML("<span class=\"hilite\">", "</span>");
                },
    context   : 'table'
  });

  cfg.toolbar.push(["linebreak", "my-hilite"]); // add the new button to the toolbar

  // BEGIN: code that adds a custom button
  // uncomment it to test
  var cfg = editor.config; // this is the default configuration
  /*
  cfg.registerButton({
    id        : "my-hilite",
    tooltip   : "Highlight text",
    image     : "ed_custom.gif",
    textMode  : false,
    action    : function(editor) {
                  editor.surroundHTML("<span class=\"hilite\">", "</span>");
                }
  });
  */

function clickHandler(editor, buttonId) {
  switch (buttonId) {
    case "my-toc":
      editor.insertHTML("<h1>Table Of Contents</h1>");
      break;
    case "my-date":
      editor.insertHTML((new Date()).toString());
      break;
    case "my-bold":
      editor.execCommand("bold");
      editor.execCommand("italic");
      break;
    case "my-hilite":
      editor.surroundHTML("<span class=\"hilite\">", "</span>");
      break;
  }
};
cfg.registerButton("my-toc",  "Insert TOC", "ed_custom.gif", false, clickHandler);
cfg.registerButton("my-date", "Insert date/time", "ed_custom.gif", false, clickHandler);
cfg.registerButton("my-bold", "Toggle bold/italic", "ed_custom.gif", false, clickHandler);
cfg.registerButton("my-hilite", "Hilite selection", "ed_custom.gif", false, clickHandler);

cfg.registerButton("my-sample", "Class: sample", "ed_custom.gif", false,
  function(editor) {
    if (HTMLArea.is_ie) {
      editor.insertHTML("<span class=\"sample\">&nbsp;&nbsp;</span>");
      var r = editor._doc.selection.createRange();
      r.move("character", -2);
      r.moveEnd("character", 2);
      r.select();
    } else { // Gecko/W3C compliant
      var n = editor._doc.createElement("span");
      n.className = "sample";
      editor.insertNodeAtSelection(n);
      var sel = editor._iframe.contentWindow.getSelection();
      sel.removeAllRanges();
      var r = editor._doc.createRange();
      r.setStart(n, 0);
      r.setEnd(n, 0);
      sel.addRange(r);
    }
  }
);


  /*
  cfg.registerButton("my-hilite", "Highlight text", "ed_custom.gif", false,
    function(editor) {
      editor.surroundHTML('<span class="hilite">', '</span>');
    }
  );
  */
  cfg.pageStyle = "body { background-color: #efd; } .hilite { background-color: yellow; } "+
                  ".sample { color: green; font-family: monospace; }";
  cfg.toolbar.push(["linebreak", "my-toc", "my-date", "my-bold", "my-hilite", "my-sample"]); // add the new button to the toolbar
  // END: code that adds a custom button

  editor.generate();
}
function insertHTML() {
  var html = prompt("Enter some HTML code here");
  if (html) {
    editor.insertHTML(html);
  }
}
function highlight() {
  editor.surroundHTML('<span style="background-color: yellow">', '</span>');
}
<?php
if(isset($_GET['add']))
	echo 'top.resizeTo(800,765);';
?>
</script>
<title>E-mail Form</title>
</head>
<?php
# [1]If no changes have yet been made, display the form...
if(!isset($_POST['edit'])):
?>
<body onload="initEditor()">
<form action="um_emailform.php" method="post" id="edit" name="edit">
<div class="variables">Variables:
  <b><br />
  <br />
  Name:</b> #name#
  <br />
  <strong>Username:</strong> #username#
  <br />
  <strong>Password:</strong> #password#
  <?php
  	if(isset($_GET['add']))
	{
	  	echo '<br/><br />Template Name: '; 
		echo '<input name="template_name" type="text" id="template" value="" size="30" />';
	}
  ?>
  </div>
<textarea id="ta" name="ta" style="width:100%" rows="30" cols="80">
<?php

# Which template? Are we rejecting or approving?

if(isset($_GET['add']))
{
	$contents = "";
}

# If editing a whole template, just open the file.
if(isset($_GET['edit']))
{	
	$template = $_GET['template'];
	if($_GET['edit']=='1')
	{
		$query = mysql_query("SELECT content FROM templates WHERE temp_id = '$template'",$db_ums);
		$row_q = mysql_fetch_array($query);
		$contents = stripslashes($row_q['content']);
	}
}

# If editing a single email, open and fill in user specific values.
if(isset($_GET['id']))
{
	$template = $_GET['template'];
	$id = $_GET['id'];
	
	if($id!="temp")
	{
		$result = mysql_query("SELECT * FROM user_verify WHERE user_id = '$id'",$db_ums);
		$row = mysql_fetch_array($result);
		
		$name = $row['user_real_name'];
		$username = $row['user_name'];
		$password = $row['user_password'];
		
		$email_q = mysql_query("SELECT email FROM user_verify WHERE user_id = '$id'",$db_ums);
		$row_q = mysql_fetch_array($email_q);
		$contents = stripslashes($row_q['email']);
		
		if($contents=='')
		{
			$query = mysql_query("SELECT content FROM templates WHERE temp_id = '$template'",$db_ums);
			$row_q = mysql_fetch_array($query);
			$contents = stripslashes($row_q['content']);
		}
	}
	else
	{
		$email_q = mysql_query("SELECT content FROM templates WHERE name = '_newuser_system_template_'",$db_ums);
		$row_q = mysql_fetch_array($email_q);
		$contents = stripslashes($row_q['content']);
		
		if($contents=='')
		{
			$query = mysql_query("SELECT content FROM templates WHERE temp_id = '$template'",$db_ums);
			$row_q = mysql_fetch_array($query);
			$contents = stripslashes($row_q['content']);
		}
	}
}
echo $contents;
?>
</textarea>
<div class="variables">
<?php 
# This IF statement purely dictates the name of the button => EDIT EMAIL or EDIT TEMPLATE
# [2]If editing a single email. 
if(isset($_GET['id'])): 
?>
<input type="hidden" name="id" value="<?=$id?>"/>
<input type="submit" class="email_button" name="edit" value="Edit E-mail" />
<?php 
# [2]Else => Editing the whole template
endif;
if(isset($_GET['edit'])): 
?>
<input type="hidden" name="template_id" value="<?=$template?>"/>
<input type="submit" class="email_button" name="edit" value="Edit Template" />
<?php
# [2]Else => Add template
endif;
if(isset($_GET['add'])): 
?>
<input type="hidden" name="add_template" value="<?=$template?>"/>
<input type="submit" class="email_button" name="edit" value="Create Template" />
<?php
# [2]Endif
endif; 
?>
<input type="button" class="submitactions" name="ins" value="Insert HTML" onclick="return insertHTML();" />
<input type="button" class="submitactions" name="hil" value="Highlight Text" onclick="return highlight();" />
</div>
<script type="text/javascript">
function mySubmit() {
// document.edit.save.value = "yes";
document.edit.onsubmit(); // workaround browser bugs.
document.edit.submit();
};
</script>
</form>
<?php
# [1]Else the form has been edited => save the changes.
else:

# Update a single email for a pending user.
if(isset($_POST['id']))
{
	$contents = addslashes($_POST['ta']);
	$id = $_POST['id'];
	if($id!="temp")
		$insert_q = ("UPDATE user_verify SET email = '$contents' WHERE user_id = '$id'");
	else
		$insert_q = ("UPDATE templates SET content = '$contents' WHERE name = '_newuser_system_template_'");
	mysql_query($insert_q,$db_ums);
}

# OR update the template
if(isset($_POST['template_id']))
{
	$contents = addslashes($_POST['ta']);
	$template = $_POST['template_id'];
	mysql_query("UPDATE templates SET content = '$contents' WHERE temp_id = '$template'",$db_ums);
}

# Add template
if(isset($_POST['add_template']))
{
	$contents = addslashes($_POST['ta']);
	$template = $_POST['template_name'];
	mysql_query("INSERT INTO templates SET 
							name = '$template',
							content = '$contents'",$db_ums);
}
?>
<body onload="closeMe();self.focus();">
<div class="variables">
Changes saved.
</div>
<?php
endif;
?>
</body>
</html>
