<?php
require('ums/um_functions.php');

# Database connection handles
$db_wiki = dbconnect_wiki();
$db_ums  = dbconnect_ums();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>OpenWetWare.org - Registration Request</title>
<style type="text/css">
<!--
body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #000000;
}
.message_padding {
	padding-top: 3px;
	padding-right: 15px;
	padding-bottom: 15px;
	padding-left: 20px;
}
.border {
	border: 3px solid #9aa9b5;
}
-->
</style>
</head>

<body>
<table width="831" border="0" cellpadding="0" cellspacing="0" class="border">
  <tr>
    <td><img src="ums/um_logo_small.jpg" width="831" height="100" /></td>
  </tr>
  <tr>
    <td class="message_padding">
	 <?php
	# If the form has been filled out, insert the request into UMS db.
	if(isset($_POST['submit_registration']))
	{
		# Check username
		$username = $_POST['username'];
		if (eregi("^[[:alnum:]]+$", $username)) 
			$a = TRUE;
		else 
		{
			$a = FALSE;
			$message[] = "Please enter a username that consists only of letters and numbers.";
		}
		
		# Check password 
		$password = $_POST['password'];
		if (eregi ("^[[:alnum:]]{6,20}$", $password))
			$b = TRUE;
		else 
		{
			$b = FALSE;
			$message[] = "Please enter a password that consists only of letters and numbers, between 6 and 20 characters long.";
		} 
		
		# Make sure passwords match
		if ($password == $_POST['password2']) 
			$c = TRUE;
		else 
		{
			$c = FALSE;
			$message[] = "The passwords you entered do not match.";
		}
		
		# Check name 
		$name = $_POST['name'];
		if ($name!="")
		{
			$d = TRUE;
			$name = addslashes($name);
		}
		else 
		{
			$d = FALSE;
			$message[] = "Please specify a valid name.";
		} 
		
		# Check e-mail 
		$email = $_POST['email'];
		if (eregi("^([[:alnum:]]|_|\.|-)+@([[:alnum:]]|\.|-)+(\.)([a-z]{2,4})$", $email))
			$e = TRUE;
		else 
		{
			$e = FALSE;
			$message[] = "Please enter a valid email address.";
		} 
		
		# Check affiliation
		$aff = $_POST['affiliation'];
		if ($aff!="")
		{
			$f = TRUE;
			$aff = addslashes($aff);
		}
		else 
		{
			$f = FALSE;
			$message[] = "Please specify which institution you are affiliated with.";
		} 
		
		# Check description
		$desc = $_POST['description'];
		if ($desc!="")
		{
			$g = TRUE;
			$desc = addslashes($desc);
		}
		else 
		{
			$g = FALSE;
			$message[] = "Please specify why you would like to join OpenWetWare.";
		} 
		
		# Check referral
		$ref = $_POST['referral'];
		if ($ref!="")
		{
			$h = TRUE;
			$ref = addslashes($ref);
		}
		else 
		{
			$h = FALSE;
			$message[] = "Please indicate where you heard about us.";
		} 
		
		# If everything is good, proceed...
		if ($a AND $b AND $c AND $d AND $e AND $f AND $g AND $h)
		{
			$user_found = false;
			
			# Check if the username already exists
			$result = mysql_query("SELECT * FROM user WHERE user_name = '".ucwords($username)."'",$db_wiki);	
			if(mysql_num_rows($result)>0)
			{
				$user_found = true;
				$message[] = "Username you requested is already taken. Please try something different.";
			}
			
			# Check if the username is already pending registration
			$result = mysql_query("SELECT * FROM user_verify WHERE user_name = '$username'",$db_ums);
			if(mysql_num_rows($result)>0)
			{
				$user_found = true;
				$message[] = "Username you requested is currently pending registration. Please try something different.";
			}
			
			# If not, insert into UMS db as a pending registration
			if(!$user_found)
			{
				mysql_query("
				INSERT INTO user_verify SET
					user_name = '$username',
					user_password = '$password',
					user_real_name = '$name',
					user_email = '$email',
					user_aff = '$aff',
					user_desc = '$desc',
					user_ref = '$ref'",$db_ums);
				
				# Notify the admin if option enabled
				
				$result = mysql_query("SELECT admin_email, notify, link_ums FROM config",$db_ums);
				$row = mysql_fetch_array($result);
				if($row['notify'])
				{
					$link_ums = $row['link_ums'];
					$email_message = 'New registration request has been submitted. Click <a href="'.$link_ums.'">here</a> to review it.';
					$mailed = email_conf("Administrator",$row['admin_email'],"New Registration Request",$email_message);
				}
				
				$result = mysql_query("SELECT link_forward_to FROM config");
				$row = mysql_fetch_array($result);
					
				echo 'Your request has been submitted <b>successfully</b>. You will receive an e-mail confirmation when your account has been activated. <br/><br/>Click <a href="'.$row['link_forward_to'].'">here</a> to return to the main page.';
			}
		}
		
		# If there are any error messages, print them.
		if (isset($message)) 
		{
			echo "<div align=\"left\"><font color=red><b>The following problems occurred:</b><br /><br />\n";
			foreach ($message as $key => $value)
				echo "--> $value <br />\n";
			echo "<br/>Click <a href=\"javascript:history.back(1)\">here</a> or use your browser's back button to make the above corrections.";
		} 
	}
	mysql_close($db_wiki);
	mysql_close($db_ums);
	?>
	</td>
  </tr>
</table>
</body>
</html>