-- phpMyAdmin SQL Dump
-- version 2.8.0-rc2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Apr 25, 2006 at 11:10 PM
-- Server version: 4.0.20
-- PHP Version: 5.0.1
-- 
-- Database: `oww_ums`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `config`
-- 

CREATE TABLE `config` (
  `id` smallint(5) NOT NULL default '0',
  `email_from_name` varchar(255) NOT NULL default '',
  `email_from_email` varchar(50) NOT NULL default '',
  `email_subject` varchar(255) NOT NULL default '',
  `admin_email` varchar(50) NOT NULL default '',
  `notify` char(1) NOT NULL default '',
  `link_ums` varchar(255) NOT NULL default '',
  `link_forward_to` varchar(255) NOT NULL default '',
  KEY `id` (`id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `config`
-- 

INSERT INTO `config` (`id`, `email_from_name`, `email_from_email`, `email_subject`, `admin_email`, `notify`, `link_ums`, `link_forward_to`) VALUES (0, 'Organization', 'admin@organization.org', 'Registration Information', 'testuser@testuser.com', '0', 'http://localhost/um.php', 'http://localhost/wiki');

-- --------------------------------------------------------

-- 
-- Table structure for table `templates`
-- 

CREATE TABLE `templates` (
  `temp_id` int(5) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  PRIMARY KEY  (`temp_id`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `templates`
-- 

INSERT INTO `templates` (`temp_id`, `name`, `content`) VALUES (1, '_newuser_system_template_', ''),
(3, 'Reject', 'Hi <span style="font-weight: bold; color: rgb(0, 0, 0);">#name#</span>,<br /><br />Your OWW Registration has been rejected.<br /><br />Here are your account details:<br /> <br /><span style="font-weight: bold;">Username: </span>#username#\r\n<br /><span style="font-weight: bold;">Password: </span>#password#\r\n<br /><br />(you can change your password in the preferences in the upper right hand corner).\r\n\r\n<br /><br />As for getting started, the best page to take a look at is this one:\r\n<br /><a href="http://openwetware.org/wiki/OpenWetWare:Getting_started ">http://openwetware.org/wiki/OpenWetWare:Getting_started</a>\r\n\r\n<br /><br />Also, a Help page: general info on how to edit, etc:<br /><a href="http://openwetware.org/wiki/Help:Contents">http://openwetware.org/wiki/Help:Contents</a>\r\n\r\n<br /><br />You may want to start by editing your user page:\r\n<br /><a href="http://openwetware.org/wiki/User:#username#">http://openwetware.org/wiki/User:#username#</a>\r\n\r\n<br />(I''ve added a little bit of text to get you started)\r\n\r\n<br /><br />We are in the process of adding documentation and deploying some new features that may be of interest.  One example is an easy way to add PubMed referenced articles to your wiki page (<a href="http://openwetware.org/wiki/OpenWetWare:Biblio">http://openwetware.org/wiki/OpenWetWare:Biblio</a>).  Another example is we have just implemented a method to automatically &quot;dewikify&quot; wiki pages for outside presentation.  (Great for a lab wiki)\r\n\r\n<br /><br />For example, the webpages\r\n<br /><a href="http://knight.openwetware.org/">http://knight.openwetware.org/</a>\r\n<br /><a href="http://syntheticbiology.org/">http://syntheticbiology.org/</a>\r\n\r\n<br /><br />are direct mappings that are automatically updated of the following pages on OWW respectively.\r\n<br /><a href="http://openwetware.org/wiki/Knight_Lab ">http://openwetware.org/wiki/Knight_Lab\r\n</a><br /><a href="http://openwetware.org/wiki/Synthetic_Biology">http://openwetware.org/wiki/Synthetic_Biology\r\n\r\n</a><br /><br />In the meantime, please the admin list if you have any questions.  Also, if you are interested in getting your lab on OWW, let\r\nus know and we will make you an administrator so you can add new users.\r\n\r\n<br /><br />Thanks again for participating, and we are looking forward to seeing your edits.\r\n\r\n<br /><br />OpenWetWare Admin Team\r\n<br />admin@openwetware.org'),
(2, 'Approve', 'Hi <span style="font-weight: bold;">#name#</span>,\r\n\r\n<br /><br />It''s great to have you on OWW. We''re happy to help if you are new to wikis, so don''t hesitate to ask us questions. Just playing around...<br /><br />Here are your account details:<br /> <br /><span style="font-weight: bold;">Username: </span>#username#\r\n<br /><span style="font-weight: bold;">Password: </span>#password#\r\n<br /><br />(you can change your password in the preferences in the upper right hand corner).\r\n\r\n<br /><br />As for getting started, the best page to take a look at is this one:\r\n<br /><a href="http://openwetware.org/wiki/OpenWetWare:Getting_started ">http://openwetware.org/wiki/OpenWetWare:Getting_started</a>\r\n\r\n<br /><br />Also, a Help page: general info on how to edit, etc:<br /><a href="http://openwetware.org/wiki/Help:Contents">http://openwetware.org/wiki/Help:Contents</a>\r\n\r\n<br /><br />You may want to start by editing your user page:\r\n<br /><a href="http://openwetware.org/wiki/User:#username#">http://openwetware.org/wiki/User:#username#</a>\r\n\r\n<br />(I''ve added a little bit of text to get you started)\r\n\r\n<br /><br />We are in the process of adding documentation and deploying some new features that may be of interest.  One example is an easy way to add PubMed referenced articles to your wiki page (<a href="http://openwetware.org/wiki/OpenWetWare:Biblio">http://openwetware.org/wiki/OpenWetWare:Biblio</a>).  Another example is we have just implemented a method to automatically &quot;dewikify&quot; wiki pages for outside presentation.  (Great for a lab wiki)\r\n\r\n<br /><br />For example, the webpages\r\n<br /><a href="http://knight.openwetware.org/">http://knight.openwetware.org/</a>\r\n<br /><a href="http://syntheticbiology.org/">http://syntheticbiology.org/</a>\r\n\r\n<br /><br />are direct mappings that are automatically updated of the following pages on OWW respectively.\r\n<br /><a href="http://openwetware.org/wiki/Knight_Lab ">http://openwetware.org/wiki/Knight_Lab\r\n</a><br /><a href="http://openwetware.org/wiki/Synthetic_Biology">http://openwetware.org/wiki/Synthetic_Biology\r\n\r\n</a><br /><br />In the meantime, please the admin list if you have any questions.  Also, if you are interested in getting your lab on OWW, let\r\nus know and we will make you an administrator so you can add new users.\r\n\r\n<br /><br />Thanks again for participating, and we are looking forward to seeing your edits.\r\n\r\n<br /><br />OpenWetWare Admin Team\r\n<br />admin@openwetware.org');

-- --------------------------------------------------------

-- 
-- Table structure for table `user_verify`
-- 

CREATE TABLE `user_verify` (
  `user_id` int(5) unsigned NOT NULL auto_increment,
  `user_name` varchar(255) NOT NULL default '',
  `user_password` varchar(50) NOT NULL default '',
  `user_real_name` varchar(255) NOT NULL default '',
  `user_email` tinytext NOT NULL,
  `user_aff` text NOT NULL,
  `user_desc` text NOT NULL,
  `user_ref` text NOT NULL,
  `user_approved` smallint(1) NOT NULL default '0',
  `user_rejected` smallint(1) NOT NULL default '0',
  `date_added` timestamp(14) NOT NULL,
  `email` text NOT NULL,
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `user_verify`
-- 

